// file: tr_phn_set_0.cc
//

// isip include files
//
#include "train_phone.h"
#include "train_phone_constants.h"

// method: set_name_cc
//
// arguments:
//  char_1* name_a : (input) the name of this phone
//
// return: logical_1 indicating status
//
// this methods sets the name of the phone in this object
//
logical_1 Train_Phone::set_name_cc(char_1* name_a) {

  // make sure the input name is not a null pointer
  //
  if (name_a != (char_1*)NULL) {

    // if memory needs to be created for the name
    //
    if (name_d != (char_1*)NULL) {
      delete [] name_d;
      name_d = (char_1*)NULL;
    }

    // create memory and copy the name string
    //
    name_d = new char_1[strlen((char*)name_a) + (int_4)1];
    strcpy((char*)name_d, (char*)name_a);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
